repo/gentoo:master commit in: dev-python/pika/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786069738.78c1d9aa94e447a7840721fa4719687b6d7eb13a.mgorny@gentoo>
commit:     78c1d9aa94e447a7840721fa4719687b6d7eb13a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 01:57:10 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 02:28:58 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78c1d9aa

dev-python/pika: Bump to 1.4.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pika/Manifest          |  1 +
 dev-python/pika/pika-1.4.4.ebuild | 60 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-python/pika/Manifest b/dev-python/pika/Manifest
index 44656751d078..d66fd2e96281 100644
--- a/dev-python/pika/Manifest
+++ b/dev-python/pika/Manifest
@@ -1 +1,2 @@
 DIST pika-1.4.2.gh.tar.gz 338473 BLAKE2B 01379cefdd2dee3dd9a066ed6528b681670f546ca4bbe58307efbdcf1d2e76f2c9db42a4bda43d5b9e91771305c39747c5dc8a902a3501142bdbf742e8b00e13 SHA512 37e045fe3429c714324c125d2c0d9bec7db8af9c35d4bfa4cfb5b0dcb28cf9a17cdfac150eec64587f8a86c636669f698b5bbdc604f8500bd92abbc162b2e9c9
+DIST pika-1.4.4.gh.tar.gz 339005 BLAKE2B 5d556051657f2b46081a6be77a463cbee22746294ca9af4bbfdcc466754be6d206176c7c36b08981e0d07df11d2585f74a8caec078fec3065693fe9aba999075 SHA512 0d5f51745414204fbf050c47f1872fa2b38d1ea32657dfde995d79d3d189ed57cf54f693e2473461437279f3eac1d3b57d3d92e9e2046147d43c56ec83affca8

diff --git a/dev-python/pika/pika-1.4.4.ebuild b/dev-python/pika/pika-1.4.4.ebuild
new file mode 100644
index 000000000000..9ef40b33bdbd
--- /dev/null
+++ b/dev-python/pika/pika-1.4.4.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python implementation of the AMQP"
+HOMEPAGE="
+	https://pika.readthedocs.io/
+	https://github.com/pika/pika/
+	https://pypi.org/project/pika/
+"
+SRC_URI="https://github.com/pika/pika/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="test !test? ( test )"
+PROPERTIES="test_network"
+
+BDEPEND="
+	test? (
+		dev-python/twisted[${PYTHON_USEDEP}]
+		dev-python/tornado[${PYTHON_USEDEP}]
+		net-misc/rabbitmq-server
+	)
+"
+
+EPYTEST_PLUGINS=( pytest-timeout )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+	epytest -k "not test_with_gevent"
+}
+
+src_test() {
+	einfo "Starting rabbitmq"
+	local -x RABBITMQ_LOG_BASE="${T}/rabbitmq/log"
+	local -x RABBITMQ_MNESIA_BASE="${T}/rabbitmq/mnesia"
+	local -x RABBITMQ_LOGS="${T}/rabbitmq.log"
+	local -x RABBITMQ_PID_FILE="${T}/rabbitmq.pid"
+	local -x RABBITMQ_ENABLED_PLUGINS_FILE="${T}/rabbitmq/enabled_plugins"
+	/usr/libexec/rabbitmq/rabbitmq-server -p 5672:5672 &
+
+	einfo "Waiting for rabbitmq to fully load"
+	while ! { echo >/dev/tcp/localhost/5672 ; } &> /dev/null; do
+		sleep 1
+	done
+	einfo "rabbitmq is ready"
+
+	distutils-r1_src_test
+
+	einfo "Stopping rabbitmq"
+	kill "$(<"${RABBITMQ_PID_FILE}")" || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.